;;; -*- asm -*-
;;;
;;; Universal Monitor Z80 config file (sample)
;;;

;;;
;;; Memory
;;;

ENTRY:	EQU	0080H		; Entry point

RAM_B:	EQU	8000H
WORK_B:	equ	0FF00H
STACK:	equ	0FFFFH

BUFLEN:	equ	16

;;;
;;; Options
;;;

USE_IDENT = 1			; CPU Identification

USE_REGCMD = 1			; R(egister) command and related functions

USE_RAMCHK = 0			; Check RAM (Must be 1 for DRAM)

USE_WARMUP = 0			; DRAM warming up
	IF USE_WARMUP
WARMUP_ADDR = 8000H		;   Start address
WARMUP_INCR = 1			;   Address increment
WARMUP_CNT = 128 * 8		;   Count
	ENDIF

USE_NEWAPI = 1			; New API (RST 30H)

;;; HD64180 specific
DCNTL_V: EQU	00H
RMR_V:	EQU	83H
OMCR_V:	EQU	40H
IOBASE:	EQU	0C0H		; Internal I/O BASE (00H,40H,80H,0C0H)

USE_180TRAP = 1			; Handle HD64180 TRAP (experimental)

;;;
;;; Special initialize routine
;;;

USE_SPINIT = 0
	IF USE_SPINIT

SPINIT	MACRO
	ENDM

	ENDIF

;;;
;;; Zilog Z80 SIO
;;;
	
USE_DEV_Z80SIO = 1
	IF USE_DEV_Z80SIO
SIOAD:	equ	00H		; 
SIOAC:	equ	01H		;
SIOBD:	equ	02H		; (Ch.B not supported)
SIOBC:	equ	03H		; (Ch.B not supported)
	ENDIF

;;;
;;; Intel 8251
;;;

USE_DEV_8251 = 0
	IF USE_DEV_8251
USARTD:	equ	00H		; Data Register
USARTC:	equ	01H		; Control / Status Register
	ENDIF
	
;;;
;;; Zilog Z280 (Internal)
;;;

USE_DEV_Z280 = 0
	IF USE_DEV_Z280
TCR1:	EQU	(19-1)		; bps = CLK(Xtal) / 8 / (TCR1+1) / 16
	ENDIF

;;;
;;; Hitachi HD64180 (Internal)
;;;

USE_DEV_64180 = 0
	IF USE_DEV_64180
ASBASE:	EQU	IOBASE+0	; IOBASE+1 for ASCI Ch.1
CNTLA_V: EQU	6CH		; 8bit 1 N
CNTLB_V: EQU	02H		; CLK/640
	ENDIF
